## ros-rolling-test-tracetools 6.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(test_tracetools)

# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
  set(CMAKE_CXX_STANDARD_REQUIRED ON)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)

if(WIN32 OR APPLE)
  set(DISABLED_DEFAULT ON)
else()
  set(DISABLED_DEFAULT OFF)
endif()
option(TRACETOOLS_DISABLED "Explicitly disable support for tracing" ${DISABLED_DEFAULT})
option(TRACETOOLS_TRACEPOINTS_EXCLUDED "Do not include tracepoints" OFF)

if(TRACETOOLS_DISABLED)
  set(TRACETOOLS_TRACEPOINTS_EXCLUDED TRUE)
endif()

if(NOT TRACETOOLS_TRACEPOINTS_EXCLUDED)
  find_package(PkgConfig REQUIRED)
  pkg_check_modules(LTTNG REQUIRED lttng-ust)
endif()

# Tests
if(BUILD_TESTING)
  # tracetools is exported by rclcpp
  find_package(lifecycle_msgs REQUIRED)
  find_package(rclcpp REQUIRED)
  find_package(rclcpp_lifecycle REQUIRED)
  find_package(std_msgs REQUIRED)
  find_package(std_srvs REQUIRED)

  add_executable(test_publisher
    src/test_publisher.cpp
  )
  ament_target_dependencies(test_publisher
    rclcpp
    std_msgs
  )
  add_executable(test_intra
    src/test_intra.cpp
  )
  ament_target_dependencies(test_intra
    rclcpp
    std_msgs
  )
  add_executable(test_lifecycle_node
    src/test_lifecycle_node.cpp
  )
  ament_target_dependencies(test_lifecycle_node
    rclcpp
    rclcpp_lifecycle
  )
  add_executable(test_lifecycle_client
    src/test_lifecycle_client.cpp
  )
  ament_target_dependencies(test_lifecycle_client
    lifecycle_msgs
    rclcpp
  )
  add_executable(test_ping
    src/test_ping.cpp
  )
  ament_target_dependencies(test_ping
    rclcpp
    std_msgs
  )
  add_executable(test_pong
    src/test_pong.cpp
  )
  ament_target_dependencies(test_pong
    rclcpp
    std_msgs
  )
  add_executable(test_timer
    src/test_timer.cpp
  )
  ament_target_dependencies(test_timer
    rclcpp
  )
  add_executable(test_service_ping
    src/test_service_ping.cpp
  )
  ament_target_dependencies(test_service_ping
    rclcpp
    std_srvs
  )
  add_executable(test_service_pong
    src/test_service_pong.cpp
  )
  ament_target_dependencies(test_service_pong
    rclcpp
    std_srvs
  )

  install(TARGETS
    test_intra
    test_lifecycle_node
    test_lifecycle_client
    test_ping
    test_pong
    test_publisher
    test_service_ping
    test_service_pong
    test_timer
    DESTINATION lib/${PROJECT_NAME}
  )

  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  # Utils do not exist if TRACETOOLS_DISABLED
  if(NOT TRACETOOLS_DISABLED)
    find_package(tracetools REQUIRED)
    find_package(ament_cmake_gtest REQUIRED)
    ament_add_gtest(test_utils test/test_utils.cpp)
    if(TARGET test_utils)
      ament_target_dependencies(test_utils
        tracetools
      )
    endif()
  endif()

  # Only run tracing tests if instrumentation and tracepoints are included
  if(NOT TRACETOOLS_TRACEPOINTS_EXCLUDED)
    find_package(ament_cmake_pytest REQUIRED)
    set(_test_tracetools_pytest_tests
      test/test_buffer.py
      test/test_executor.py
      test/test_intra.py
      test/test_intra_pub_sub.py
      test/test_lifecycle_node.py
      test/test_node.py
      test/test_pub_sub.py
      test/test_publisher.py
      test/test_service.py
      test/test_subscription.py
      test/test_timer.py
    )
    foreach(_test_path ${_test_tracetools_pytest_tests})
      get_filename_component(_test_name ${_test_path} NAME_WE)
      ament_add_pytest_test(${_test_name} ${_test_path}
        APPEND_ENV PYTHONPATH=${CMAKE_CURRENT_BINARY_DIR}
        TIMEOUT 60
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
      )
    endforeach()
  endif()
endif()

ament_package()

=== debian/changelog ===
ros-rolling-test-tracetools (6.2.0-1jammy) jammy; urgency=high



 -- Christophe Bedard <bedard.christophe@gmail.com>  Tue, 18 Apr 2023 00:00:00 -0000

ros-rolling-test-tracetools (6.1.0-1jammy) jammy; urgency=high

  * Add intra-process tracepoints (#30 <https://github.com/ros2/ros2_tracing/issues/30>)
  * Contributors: ymski

 -- Christophe Bedard <bedard.christophe@gmail.com>  Thu, 13 Apr 2023 00:00:00 -0000

ros-rolling-test-tracetools (6.0.0-1jammy) jammy; urgency=high

  * Allow requiring minimum lttng package version for is_lttng_installed (#59 <https://github.com/ros2/ros2_tracing/issues/59>)
  * Disable tracing on macOS (#53 <https://github.com/ros2/ros2_tracing/issues/53>)
  * Include tracepoints by default on Linux (#31 <https://github.com/ros2/ros2_tracing/issues/31>)
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 12 Apr 2023 00:00:00 -0000

ros-rolling-test-tracetools (5.1.0-1jammy) jammy; urgency=high

  * Fix memory leak in tracetools::get_symbol() (#43 <https://github.com/ros2/ros2_tracing/issues/43>)
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Thu, 02 Mar 2023 00:00:00 -0000

ros-rolling-test-tracetools (5.0.0-1jammy) jammy; urgency=high

  * Update tracing to C++17. (#33 <https://github.com/ros2/ros2_tracing/issues/33>)
  * Contributors: Chris Lalancette

 -- Christophe Bedard <bedard.christophe@gmail.com>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-test-tracetools (4.0.0-1jammy) jammy; urgency=high

  * Introduce constants for tracepoint names
  * Move actual tests out of tracetools_test to new test_tracetools package
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Thu, 20 Jan 2022 00:00:00 -0000

=== debian/control ===
Source: ros-rolling-test-tracetools
Section: misc
Priority: optional
Maintainer: Christophe Bedard <bedard.christophe@gmail.com>
Build-Depends: debhelper (>= 9.0.0), pkg-config, python3-pytest <!nocheck>, python3-pytest-cov <!nocheck>, ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-cmake-mypy <!nocheck>, ros-rolling-ament-cmake-pytest <!nocheck>, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-lifecycle-msgs, ros-rolling-rclcpp, ros-rolling-rclcpp-lifecycle, ros-rolling-std-msgs, ros-rolling-std-srvs, ros-rolling-tracetools <!nocheck>, ros-rolling-tracetools-test <!nocheck>, ros-rolling-ros-workspace
Homepage: https://github.com/ros2/ros2_tracing
Standards-Version: 3.9.2

Package: ros-rolling-test-tracetools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-lifecycle-msgs, ros-rolling-rclcpp, ros-rolling-rclcpp-lifecycle, ros-rolling-std-msgs, ros-rolling-std-srvs, ros-rolling-ros-workspace
Description: Tests for the tracetools package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-test-tracetools//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install
